#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-class-plugin
version:              1.1.1.1
visibility:           public
id:                   hls-class-plugin-1.1.1.1-Ipi5hv94Qk579Rxl4o3ZyE
key:                  hls-class-plugin-1.1.1.1-Ipi5hv94Qk579Rxl4o3ZyE
license:              Apache-2.0
maintainer:           jjc9310@gmail.com
author:               Junyoung Clare Jang
homepage:             https://github.com/haskell/haskell-language-server#readme
synopsis:
    Class/instance management plugin for Haskell Language Server

description:
    Class/instance management plugin for Haskell Language Server.
    For usage, please see README of HLS on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  a929ad31d18ed6ea5f9e7769cdb648eb
exposed:              True
exposed-modules:      Ide.Plugin.Class
hidden-modules:
    Ide.Plugin.Class.CodeAction Ide.Plugin.Class.CodeLens
    Ide.Plugin.Class.ExactPrint Ide.Plugin.Class.Types
    Ide.Plugin.Class.Utils

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hls-class-plugin-1.1.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hls-class-plugin-1.1.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-class-plugin
hs-libraries:         HShls-class-plugin-1.1.1.1-Ipi5hv94Qk579Rxl4o3ZyE
depends:
    aeson-2.1.2.1-GayFRV4oUv8L6a1HjAAkY base-4.16.4.0
    containers-0.6.5.1 deepseq-1.4.6.1
    extra-1.7.16-H5PQt7NpxWADuVptudFzWc ghc-9.2.8 ghc-boot-th-9.2.8
    ghc-exactprint-1.5.0-5JbdQY0jLN0IrgoDAn29bN
    ghcide-1.10.0.0-5sUUU6eFVmuD7m2BQj8I2D
    hls-graph-1.9.0.0-6ROBaR0Awn39l5GAwnlpzY
    hls-plugin-api-1.6.0.0-422RRSy1AMC2tbdnD4xoCK
    lens-5.2.3-4MTOEd32V8S8DXXehXOq9T
    lsp-1.6.0.0-JhhVmtZ4n7J8oSIq9PM6uH text-1.2.5.0
    transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-hls-class-plugin/html/hls-class-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-class-plugin/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

